Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.selectOneLanguage
Class SelectOneLanguageRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlMenuRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlMenuRenderer
                      org.apache.myfaces.custom.selectOneLanguage.SelectOneLanguageRenderer

public class SelectOneLanguageRenderer
extends HtmlMenuRenderer

Version:
  $Revision: 289980 $ $Date: 2005-05-11 12:14:23 -0400 (Wed, 11 May 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: svieujot $)

Constructor Summary
`SelectOneLanguageRenderer()`

Method Summary
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.renderkit.html.ext.HtmlMenuRenderer
`isDisabled`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlMenuRendererBase
`decode, getConvertedValue`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectOneLanguageRenderer

    public SelectOneLanguageRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlMenuRenderer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD